Bug 210437 - [attach wizard] Improper handling of space-in-path situation when generating instructions for attaching to app servers
[attach wizard] Improper handling of space-in-path situation when generating ...
Status: RESOLVED FIXED
Product: profiler
Classification: Unclassified
Component: Ide
6.x
PC Linux
: P3 (vote)
: 7.2
Assigned To: J Bachorik
issues@profiler
: SPACE_IN_PATH
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-30 13:47 UTC by J Bachorik
Modified: 2012-04-05 13:34 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description J Bachorik 2012-03-30 13:47:14 UTC
When the IDE (and hence the profiler binaries) is installed in a path with space and modifying an app server startup script requires adding an env variable in the shell script the startup script fails to process the path to profiler binaries properly.
Comment 1 J Bachorik 2012-03-30 13:48:29 UTC
Profiler can generate a temporary link (which does not contain space) where the binaries can be referred to.
Comment 2 Quality Engineering 2012-04-03 11:12:32 UTC
Integrated into 'main-golden', will be available in build *201204030400* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/9be58f3967c0
User: Jaroslav Bachorik <yardus@netbeans.org>
Log: #210437: Attach instructions for app servers on linux/mac can handle space in path properly
Comment 3 J Bachorik 2012-04-05 13:34:32 UTC
fixed in http://hg.netbeans.org/profiler-main/rev/9be58f3967c0


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo